---
hide:
  - navigation
created: 2022-08-12 12:45
updated: 2022-08-26 14:48
tags:
  - HamRadio
---

# FT891 Digital Config

## References

* TBD

## Introduction

This page captures the current working configuration used to get my Ham transceiver up and running on digital modes. This is currently what works, but should be considered a work in progress.

## FT891 Menu Settings

| Menu Number |    Menu Name    | Setting | Comment |
|-------------|-----------------|---------|---------|
|    05-06    | CAT Rate        | 38400   |         |
|    05-07    | CAT Tot         | 1000    |         |
|    05-08    | CAT RTS         | Disable |         |
|      —      |        —        |    —    |    —    |
|    08-01    | Data Mode       | Others  |         |
|    08-03    | Other Disp      | 1500    |         |
|    08-04    | Other Shift     | 1500    |         |
|    08-05    | Data LCut Freq  | Off     |         |
|    08-07    | Data LCut Slope | Off     |         |
|    08-09    | Data in Select  | Rear    |         |
|    08-10    | Data PTT Select | RTS     |         |
|    08-11    | Data Out Level  | 100     |         |
|    08-12    | Data BFO        | USB     |         |
|      —      |        —        |    —    |    —    |
|    11-08    | SSB PTT Select  | DAKY    |         |
|      —      |        —        |    —    |    —    |
|    16-03    | HF Power        | 100     |         |

## FLRig XCVR Conf

* XCVR
    * /dev/ttyUSB0
    * 38400
    * 1 stop bit
* PTT
    * CAT Port PTT options
        * PTT via CAT

## FLDigi Rig Conf

* Rig Control
    * FLRig
        * Enable flrig xcvr control with fldigi as client
    * Hardware PTT
        * Use separate serial port PTT
        * /dev/ttyUSB1
        * Use RTS
* Soundcard
    * Devices
        * PulseAudio

## WSJTX Radio Conf

* Radio
    * CAT Control
        * /dev/ttyUSB0
        * 38400
        * Eight
        * One
        * None
    * PTT Method
        * RTS
        * Port
            * /dev/ttyUSB1
    * Mode
        * Data
    * Split
        * None

## JS8Call Conf

* Radio
    * CAT Control
        * /dev/ttyUSB0
        * 38400
        * Eight
        * One
        * None
    * Rig Options
        * PTT Method
            * RTS
        * Port
            * /dev/ttyUSB1
        * Mode
            * Data/Pkt
        * Split
            * None
