---
hide:
  - navigation
created: 2021-11-15 13:35
updated: 2021-11-15 15:42
tags:
  - Tiddlywiki
---

# Revisiting the TiddlyWiki Journal

## References

* A TiddlyWiki Based Journal

## Introduction

In a previous post I described how I used the journalling feature of TiddlyWiki to create a journal for tracking personal hobby activities as well as tasks around the house. Since that post I've made a number of changes to my journalling system to improve the entry and retrieval of journal entries. I'll outline the changes I've made and the thought process behind these changes. Please refer to the original post for the parts of the journalling system that I didn't change.

## Journal Entry Changes

The first change I've made was to make the journal completely "tag based". What this means is that all organization of the journal entries and the subsequent retrieval of entries is accomplished based on the tags applied to each journal entry. The title for the journal entry is now just a date-time string (YYYYMMDD-HHMMSS), and the actual title of the journal entry is entered into the "caption" metadata field. Tags are applied as required to categorize the post (all journal posts get the "Journal" tag automatically).

[![](../imgs/journal_entry.png)](../imgs/journal_entry.png){: target="_blank"}

In the "ControlPanel" page, I've set the "Title of new journal tiddlers" field to "YYYY0MM0DD-0hh0mm0ss".

I've also set the "Default focus field for new tiddlers" to "fields". This acts as a reminder of sorts to enter the journal title into the "caption" field.

In addition, I've added the following to the "Text for new journal tiddlers" field;

```
!! <$link><$view field="caption"></$view></$link>
```

This adds the "caption" field as a header at the top of the journal entry. It also makes it a link, which will be required for the tag or month based dynamic index pages.

[![](../imgs/journal_entry_2.png)](../imgs/journal_entry_2.png){: target="_blank"}

## Tag Index Pages

The main entry point to the journal is via a 'tag cloud' page. I've entered this page name in the "Default tiddlers" field in the ControlPanel page. This makes this page open any time I start up the journal wiki, or refresh the wiki page.

[![](../imgs/tag_cloud_1.png)](../imgs/tag_cloud_1.png){: target="_blank"}

[![](../imgs/tag_cloud_2.png)](../imgs/tag_cloud_2.png){: target="_blank"}

Each tag has a clickable menu which lists all of the journal entries with that particular tag applied, as well as a link to a 'tag' page, which provides a similar list. The tags also scale based on the number of journal entries with that tag applied to them.

The only issue with the tag menu is that it uses the title field for the list, which is in the 'data-time' format. The 'tag' page however, has a list of all of the journal entries with that tag applied, listed by the 'caption' field.

[![](../imgs/tag_page.png)](../imgs/tag_page.png){: target="_blank"}

## Monthly Index Pages

I've kept the concept of the monthly index pages from the previous journal iteration. The contents of the monthly index page has changed to accommodate the changes to the journal though.

[![](../imgs/monthly_index.png)](../imgs/monthly_index.png){: target="_blank"}

This will create a list of journal pages that have the specified prefix in the title (ie, "202111" for November 2021), and will include the content of each journal entry via transclusion. Both the title and caption for each journal entry are links that will open that specific journal entry page.

## Work Flow

Using the journal is pretty much the same as for the previous iteration. The only difference is with the tiddler title field being formatted in date-time format, and the actual title of the entry being entered in the "caption" field. Retrieval of information is accomplished in the same manner, either by following a tag to a specific entry, or via the search box on the sidebar.
